package de.fhdw.wtf.tooling.editor;

import org.eclipse.jface.text.TextAttribute;
import org.eclipse.jface.text.rules.IRule;
import org.eclipse.jface.text.rules.IToken;
import org.eclipse.jface.text.rules.IWordDetector;
import org.eclipse.jface.text.rules.RuleBasedScanner;
import org.eclipse.jface.text.rules.Token;
import org.eclipse.jface.text.rules.WordRule;

public class WTFCommentScanner extends RuleBasedScanner {
	
	public WTFCommentScanner(final ColorManager colorManager) {
		final IToken comment = new Token(new TextAttribute(colorManager.getColor(WTFColorConstants.WTF_COMMENT)));
		final WordRule allRule = new WordRule(new IWordDetector() {
			@Override
			public boolean isWordStart(final char c) {
				return false;
			}
			
			@Override
			public boolean isWordPart(final char c) {
				return false;
			}
		}, comment);
		final IRule rules[] = new IRule[1];
		rules[0] = allRule;
		this.setRules(rules);
	}
}
